package com.ssj.service.sys.situation.service;

import java.util.List;
import java.util.Map;

public interface KnowledgeSituation {

    /**
     * 计算所有的维度
     */
    void getCalculate();

    /**
     * 查询知识维度数量并赋值给属性
     */
    void getKnowDimensionCount();

    /**
     * 将知识维度错题列表和总体列表整合到属性里
     * @param wrongList
     * @param totalList
     */
    void findKnowDimensionCount(List<Map<String, Object>> wrongList, List<Map<String, Object>> totalList);

    /**
     * 查询技能维度数量并赋值给数量
     */
    void getSkillDimensionCount();

    /**
     * 将技能维度错题列表和总体列表整合到属性里
     * @param wrongMap
     * @param totalMap
     */
    void findSkillDimensionCount(Map<String, Integer> wrongMap, Map<String, Integer> totalMap);

    /**
     * 查询记忆，理解，应用类知识点数值并赋值给属性
     */
    void getKnowledgeCount();

}
